autoweka.tools

## Class GetBestFromTrajectoryGroup

- java.lang.Object
- - autoweka.tools.GetBestFromTrajectoryGroup

-     public class GetBestFromTrajectoryGroup
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `attributeEvalArgs`
    `java.lang.String` | `attributeEvalClass`
    `java.lang.String` | `attributeSearchArgs`
    `java.lang.String` | `attributeSearchClass`
    `java.lang.String` | `classifierArgs`
    `java.lang.String` | `classifierClass`
    `float` | `errorEstimate`
    `Experiment` | `experiment`
    `int` | `numEval`
    `int` | `numMemOut`
    `int` | `numTimeOut`
    `int` | `numTrajectories`
    `java.lang.String` | `rawArgs`
    `java.lang.String` | `seed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetBestFromTrajectoryGroup(java.lang.String trajGroupFileName)`
    `GetBestFromTrajectoryGroup(TrajectoryGroup trajGroup)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Point this main method at a .trajectory file, and be presented with what you should actually run your dataset on.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### experiment

          public Experiment experiment

    - #### numTrajectories

          public int numTrajectories

    - #### errorEstimate

          public float errorEstimate

    - #### seed

          public java.lang.String seed

    - #### classifierClass

          public java.lang.String classifierClass

    - #### classifierArgs

          public java.lang.String classifierArgs

    - #### attributeSearchClass

          public java.lang.String attributeSearchClass

    - #### attributeSearchArgs

          public java.lang.String attributeSearchArgs

    - #### attributeEvalClass

          public java.lang.String attributeEvalClass

    - #### attributeEvalArgs

          public java.lang.String attributeEvalArgs

    - #### numEval

          public int numEval

    - #### numTimeOut

          public int numTimeOut

    - #### numMemOut

          public int numMemOut

    - #### rawArgs

          public java.lang.String rawArgs

  - ### Constructor Detail

    - #### GetBestFromTrajectoryGroup

          public GetBestFromTrajectoryGroup(java.lang.String trajGroupFileName)

    - #### GetBestFromTrajectoryGroup

          public GetBestFromTrajectoryGroup(TrajectoryGroup trajGroup)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Point this main method at a .trajectory file, and be presented with what you should actually run your dataset on.
      Parameters:
        `args` - Any arguments.